Package org.springframework.beans.factory

# Interface HierarchicalBeanFactory

All Superinterfaces:
  `BeanFactory`

All Known Subinterfaces:
  `ConfigurableBeanFactory`, `ConfigurableListableBeanFactory`

All Known Implementing Classes:
  `AbstractAutowireCapableBeanFactory`, `AbstractBeanFactory`, `DefaultListableBeanFactory`

public interface HierarchicalBeanFactory extends BeanFactory
Sub-interface implemented by bean factories that can be part of a hierarchy.

The corresponding `setParentBeanFactory` method for bean factories that allow setting the parent in a configurable fashion can be found in the ConfigurableBeanFactory interface.

Since:
  07.07.2003
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `ConfigurableBeanFactory.setParentBeanFactory(org.springframework.beans.factory.BeanFactory)`

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.BeanFactory

`FACTORY_BEAN_PREFIX, FACTORY_BEAN_PREFIX_CHAR`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsLocalBean(String name)`
Return whether the local bean factory contains a bean of the given name, ignoring beans defined in ancestor contexts.
`BeanFactory`
`getParentBeanFactory()`
Return the parent bean factory, or `null` if there is none.

### Methods inherited from interface org.springframework.beans.factory.BeanFactory

`containsBean, getAliases, getBean, getBean, getBean, getBean, getBean, getBeanProvider, getBeanProvider, getType, getType, isPrototype, isSingleton, isTypeMatch, isTypeMatch`

## Method Details

### getParentBeanFactory

@Nullable BeanFactory getParentBeanFactory()
Return the parent bean factory, or `null` if there is none.

### containsLocalBean

boolean containsLocalBean(String name)
Return whether the local bean factory contains a bean of the given name, ignoring beans defined in ancestor contexts.

This is an alternative to `containsBean`, ignoring a bean of the given name from an ancestor bean factory.

Parameters:
  `name` - the name of the bean to query
Returns:
  whether a bean with the given name is defined in the local factory
See Also:
  - `BeanFactory.containsBean(java.lang.String)`